Listar ofertas do produto
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers"
headers = {"X-Api-Client-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Client-Token': '<api-key>'}};
fetch('https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers")
.header("X-Api-Client-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"code": "<string>",
"name": "<string>",
"type_of_charge": "one-time",
"price": 123,
"allow_credit_card": true,
"credit_card_installments_options": [
18
],
"allow_pix": true,
"allow_bank_slip": true,
"created_at": "2026-01-15 14:30:00",
"updated_at": "2026-01-15 14:30:00",
"fake_initial_price": 123,
"quantity_items": 50,
"allow_bank_slip_installments": true,
"bank_slip_days_due": 4,
"bank_slip_installments_limit": 6,
"allow_affiliates": true,
"affiliates_percentage": 40.5,
"affiliates_subscription_percentage": 40.5,
"commission_only_first_installment": true,
"producer_pays_interest": true,
"is_free": true,
"transfer_fixed_fee_to_buyer": true,
"subscription": {
"interval": "weekly",
"trial_days": 182,
"trial_days_text": true,
"first_charge_price": 123,
"is_extension": true,
"extension_length": 18,
"max_charges": 6,
"max_charges_attempts": 3
},
"freight": {
"type": "shipping_company",
"preparation_day": 123,
"start_day": 123,
"end_day": 123,
"fixed_price": 123,
"free_states": [
"<string>"
],
"blocked_states": [
"<string>"
],
"is_pac": true,
"pac_fallback_price": 123,
"pac_fallback_end_day": 123,
"is_sedex": true,
"sedex_fallback_price": 123,
"sedex_fallback_end_day": 123,
"zip_code": "<string>",
"weight": 123,
"length": 123,
"width": 123,
"height": 123
}
}
]
}Produtos
Listar ofertas do produto
Retorna a lista de ofertas associadas a um produto
GET
/
products
/
{product_hash}
/
offers
Listar ofertas do produto
curl --request GET \
--url https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers \
--header 'X-Api-Client-Token: <api-key>'import requests
url = "https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers"
headers = {"X-Api-Client-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Client-Token': '<api-key>'}};
fetch('https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Client-Token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Client-Token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers")
.header("X-Api-Client-Token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://nexus.ticto.com.br/api/v1/products/{product_hash}/offers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Client-Token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"code": "<string>",
"name": "<string>",
"type_of_charge": "one-time",
"price": 123,
"allow_credit_card": true,
"credit_card_installments_options": [
18
],
"allow_pix": true,
"allow_bank_slip": true,
"created_at": "2026-01-15 14:30:00",
"updated_at": "2026-01-15 14:30:00",
"fake_initial_price": 123,
"quantity_items": 50,
"allow_bank_slip_installments": true,
"bank_slip_days_due": 4,
"bank_slip_installments_limit": 6,
"allow_affiliates": true,
"affiliates_percentage": 40.5,
"affiliates_subscription_percentage": 40.5,
"commission_only_first_installment": true,
"producer_pays_interest": true,
"is_free": true,
"transfer_fixed_fee_to_buyer": true,
"subscription": {
"interval": "weekly",
"trial_days": 182,
"trial_days_text": true,
"first_charge_price": 123,
"is_extension": true,
"extension_length": 18,
"max_charges": 6,
"max_charges_attempts": 3
},
"freight": {
"type": "shipping_company",
"preparation_day": 123,
"start_day": 123,
"end_day": 123,
"fixed_price": 123,
"free_states": [
"<string>"
],
"blocked_states": [
"<string>"
],
"is_pac": true,
"pac_fallback_price": 123,
"pac_fallback_end_day": 123,
"is_sedex": true,
"sedex_fallback_price": 123,
"sedex_fallback_end_day": 123,
"zip_code": "<string>",
"weight": 123,
"length": 123,
"width": 123,
"height": 123
}
}
]
}Authorizations
ApiClientTokenbearerAuth
Token de autenticação do cliente obtido via endpoint /auth
Path Parameters
Hash do produto
Query Parameters
Número da página
Required range:
x >= 1Itens por página
Required range:
1 <= x <= 50Response
Lista de ofertas retornada com sucesso
Lista paginada de ofertas.
Lista de ofertas.
Show child attributes
Show child attributes